Download it now!
Bug 49187 - Selecting "Sentence case" doesn't correct every sentence in the text (exclamation and question marks work, full stop doesn't)
Summary: Selecting "Sentence case" doesn't correct every sentence in the text (exclama...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 90958 (view as bug list)
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-04-26 13:10 UTC by Emir Sarı
Modified: 2019-10-20 02:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
sample text (10.88 KB, application/vnd.oasis.opendocument.text)
2012-04-26 13:10 UTC, Emir Sarı
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı 2012-04-26 13:10:28 UTC
Created attachment 60631 [details]
sample text

Hello,

Sample document attached. Whenever I right click the whole text and select 'Sentence case", it only corrects the first sentence in the text. In order to correct the other sentences, first I need to select something different than "Sentence case", like all capital letters or something, and then try "Sentence case" again.
Comment 1 Cody 2012-04-28 15:30:36 UTC
LibreOffice 3.5.2.2
Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45
Running on Windows 7, 64 bit edition

The results were reproducible. Converting any selected text that is all lowercase to sentence case will only correct the first sentence.
Comment 2 Roman Eisele 2012-05-31 06:27:57 UTC
Still REPRODUCIBLE with LibreOffice 3.5.4.2 (Build-ID: 165a79a-7059095-e13bb37-fef39a4-9503d18), German langpack installed, on MacOS X 10.6.8 German.

Changed Platform to "All/All" (according to comment #1, this problem is not limited to MacOS X).


@Cédric:
You are our Writer expert, therefore I add your address to the CC field.
Comment 3 Emir Sarı 2012-09-02 17:19:03 UTC
Still reproducible with LO 3.6.1.2 release, both TR and ENG language packs. 10.7.4.
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:04 UTC
Restricted my LibreOffice hacking area
Comment 5 Laurent BP 2014-01-28 18:37:47 UTC
Still present in LibO 4.1.4.2.

The Sentence case is correctly applied (on the first run) after '?' and '!'. The problem occurs only for '.'

Confirmed with LibO 3.3.0.4, AOO 4.0.1
Comment 6 Buovjaga 2015-04-30 15:16:12 UTC
*** Bug 90958 has been marked as a duplicate of this bug. ***
Comment 7 Peter Roelofsen 2016-08-18 08:08:56 UTC
Reproduced on 5.2.0.4 in Windows 10.

"This is a test. a test, a test. This is a test." - but then in Dutch is only turned correctly into sentence case if it's first turned into all caps. Otherwise, nothing happens.
Comment 8 QA Administrators 2017-09-01 11:14:44 UTC Comment hidden (obsolete)
Comment 9 Balázs Meskó 2018-08-09 11:34:40 UTC
I have just reproduced the issue in LibreOffice 6.1.0.3 (Win x64). Comment #5 is correct: exlamation and question marks do work, but full stop does not.
Comment 10 QA Administrators 2019-10-20 02:32:48 UTC
Dear Emir Sarı (away),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug